{% extends "consult_training/base_site.html" %}
{% load staticfiles %}

{% block site %} - Détail formation{% endblock %}

{% block include_css %}

  <!-- cdn adresses
  http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css
  http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js
  -->

  <!-- Stylesheets -->
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/leaflet-0.7.7.css">
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/consult_training.css">

  <!-- Javascript -->
    <script src="/static/consult_training/js/jquery-2.2.0.min.js"></script>
    <script src="/static/consult_training/js/leaflet-0.7.7.min.js"></script>
    <!-- Format the map -->
    <script src="/static/consult_training/js/training_detail.js"></script>

{% endblock %}


 <!-- html content -->
{% block content %}

  <div id="navbar2">
    <ul>
      <li>
        <a href="{% url 'admin:training_training_change' training.pk %}">
          <img src={% static "consult_training/img/lock.svg" %} class="icon_lock">
          Editer
        </a>
      </li>
      <li><a href="{% url 'consult_training_home' %}">Retour Liste</a></li>
            <li style="float:left"><h1> Détail d'une formation</h1></li>
    </ul>
  </div> <!-- end div id="navbar2"> -->

<div class="container">
  <div class="section group">

    <div class="col span_1_of_2">
      <div id="detail_box">

        <div id="detail_header">
          <h2>
            {% if training.tra_web %}
              <a href="{{ training.tra_web }}">
              {{ training.tra_title | linebreaksbr }}</a>
            {% else %}
              {{ training.tra_title | linebreaksbr }}
            {% endif %}
          </h2>

          <img src={% static "consult_training/img/icon_calendar.svg" %} class="icons">
          {% if training.tra_dtstart|date:"DATE_FORMAT" == training.tra_dtend|date:"DATE_FORMAT" %}
            {{ training.tra_dtstart |date:"D d M Y" }}
            &nbsp;&nbsp;
            <img src={% static "consult_training/img/icon_clock.svg" %} class="icons">
            {{ training.tra_dtstart |time:"H:i" }}
          {% else %}
            {{ training.tra_dtstart |date:"d M"  }}
            - {{ training.tra_dtend |date:"d M Y"  }}
          {% endif %}
          &nbsp;&nbsp;

          <img src={% static "consult_training/img/icon_map-marker.svg" %} class="icons" title="Agglomération">
          {{ training.urb }}
          &nbsp;&nbsp;

          <img src={% static "consult_training/img/icon_tag.png" %} class="icons" title="Type de formation">
          {{ training.trt.trt_name }}
        </div> <!-- end div id="detail_header"-->

        <div id="detail_content">

          {% if error_message %}
            <p><strong>{{ error_message }}</strong></p>
          {% endif %}

          <p><i>
            {% if training.cal %}
              Cette formation fait partie du calendrier
              <span {% if training.cal.cal_desc %}title="{{ training.cal.cal_desc }}"{% endif %} >
                <b>{{ training.cal }}</b><br>
              </span>
            {% endif %}
            {% if training.tra_frame%}
              Cadre de la formation :
              <span><b>{{ training.tra_frame }}</b></span>
            {% endif %}
          </p></i>

          {% if training.tra_keywords.all %}
            <h3>Mots Clefs</h3>
            <ul class="detail-list-inline">
              {% for tra_keyword in training.tra_keywords.all %}
                <!--Add keyword desc in the infobulle-->
                {% if tra_keyword.key_desc %}
                  <li title="{{ tra_keyword.key_desc }}">
                {% else %}
                  <li>
                {% endif %}
                    <span>{{ tra_keyword.key_keyword }}</span>
                </li>
              {% endfor %}
            </ul>
          {% endif %}

          {% if training.get_speakers %}
            <h3>Orateurs</h3>
            <p><b>{{ training.get_speakers }}</b></p>
          {% endif %}

          {% if training.tra_objective %}
            <h3>Objectifs</h3>
            <p>{{ training.tra_objective | linebreaksbr }}</p>
          {% endif %}

          {% if training.tra_content %}
            <h3>Contenu</h3>
            <p>{{ training.tra_content | linebreaksbr }}</p>
          {% endif %}

          {% if training.tra_prerequisite %}
            <h3>Prérequis</h3>
            <p>{{ training.tra_prerequisite | linebreaksbr }}</p>
          {% endif %}

          {% if training.tra_level %}
            <h3>Niveau de la formation</h3>
            <p>{{ training.tra_level | linebreaksbr }}</p>
          {% endif %}

          <!--h3>Entités contributrices</h3><p><b>{{ training.get_contributors }}</b></p-->
          {% if training.tra_contributors.all %}
            <h3>Entités contributrices</h3>
            <ul class="detail-list-inline">
              {% for entity in training.tra_contributors.all %}
                <!--Add keyword desc in the infobulle-->
                {% if entity.ent_full_name %}
                  <li title="{{ entity.ent_full_name }}&#013Type d'entité : {{ entity.ety }}">
                {% else %}
                  <li>
                {% endif %}
                {{ entity.ent_short_name }}
                </li>
              {% endfor %}
            </ul>
          {% endif %}

          <h3>Contacts</h3>
          <div>
            {% if training.tra_contacts.all %}
              <p>Contact principal : {{ training.per_admin.get_name }}</p>
              <p>Autres contacts : {{ training.get_contacts }}</p>
            {% else %}
              <p>{{ training.per_admin.get_name }}</p>
            {% endif %}
            {% if training.tra_contact_email %}
              <p>Mèl de contact : <b>{{ training.tra_contact_email }}</b></p>
            {% endif %}
          </div>

        </div> <!-- end div id="detail_content" -->

        <div id="detail_footer">
          Publié par {{ training.tra_created_by.first_name }}
          {{ training.tra_created_by.last_name }}
          , le {{ training.tra_dtcreated |date:"DATE_FORMAT" }}
        </div>

      </div> <!-- end div id="detail_box"-->
    </div> <!-- end div class="col span_1_of_2"-->

    <div class="col span_2_of_2">
        <h3>Localisation </h3>
        <div id="latitude" style="display:none;">{{training.tra_latitude|stringformat:"f"}}</div>
        <div id="longitude" style="display:none;">{{training.tra_longitude|stringformat:"f"}}</div>

        <div id="detail_localisation">
        {% if training.tra_address %}
                Adresse :<br>
                {{ training.get_flat_address}}, {{ training.urb.ctr }}
              {% else %}
        Agglomération : <br>
                {{ training.urb }}
              {% endif %}
        <br><br>
        </div>
        <div id="training_detail_map">
        </div>
    </div> <!-- end div class="col span_2_of_2" -->

  </div> <!-- end div class="section group"-->

</div> <!-- end div id="container"-->


{% endblock %} <!-- end block content -->

